jQuery(function($){

    // Sticky header
    if ( colorskin_js_settings.sticky_header != 0 ) {
        
        $( document ).ready( function(){
            
            function stickyHeader() {
                
                var header = $('#masthead');
                var headerHeight = header.outerHeight();
                var windowWidth = $(window).width();
                var wpAdminBar = $('#wpadminbar');
                
                $('body').addClass('sticky-header');
                
                if ( colorskin_js_settings.sticky_mobile_header != 0 ) {
                    
                    if (windowWidth < 768) {
                        $('#content').css('margin-top', headerHeight);
                    }
                    if (windowWidth <= 991) {
                        $('#content').css('margin-top', headerHeight);
                    }
                    
                }
                
                if (windowWidth >= 992) {
                    $('#content').css('margin-top', headerHeight);
                }
                
                if (wpAdminBar.length) {
                    header.css('top', wpAdminBar.height()+'px');
                } else {
                    header.css('top', 0);
                }
                
            }
            stickyHeader();
            $(window).resize(stickyHeader);
            
            $(window).scroll(function() {
                if( $(window).scrollTop() > 100 ) {
                    $('body').addClass('small-header');
                } else {
                    $('body').removeClass('small-header');
                }
            });
            
        });
        
    }
    
    $( document ).ready( function() {
        // Mobile menu.
        var $mobileMenu = false;
        $('#mobile-menu-button').click( function(e) {
            e.preventDefault();
            
            var $$ = $(this);
            $$.toggleClass('to-close');
            var $mobileMenuDiv = $('.mobile-nav');
            
            if( $mobileMenu === false ) {
                $mobileMenu = $mobileMenuDiv
                .append( $('.main-navigation ul').first().clone() )
                .appendTo( $mobileMenuDiv ).hide();
            }
            
            $mobileMenu.slideToggle('fast');
            
            // Add button to sub-menu parent to show nested pages on the mobile menu
            $mobileMenu.find('.page_item_has_children > a:not(.dropdown-button), .menu-item-has-children > a:not(.dropdown-button)').addClass('dropdown-button').prepend('<div class="dropdown-toggle" aria-expanded="false"><i class="fa fa-plus-square"></i></div>');
            
            // Sub-menu toggle button
            $mobileMenu.find('.page_item_has_children > a, .menu-item-has-children > a').bind( 'click', function() {
                $(this).find('.fa:first').toggleClass('fa-plus-square').toggleClass('fa-minus-square');
            });
            
    	});
        
        $('.mobile-nav').on( 'click', '.dropdown-button', function(e) {
            e.preventDefault();
            $(this).next('ul.sub-menu').slideToggle('300ms');
            $(this).next('ul.children').slideToggle('300ms');
        } );
        
        // Mobile menu toggle button
        $('.menu-toggle').click( function() {
            $(this).find('.fa:first').toggleClass('fa-bars').toggleClass('fa-times');
        });
        
        /* Menu not fly off the right of the screen */
        $('.main-navigation').find('li ul.sub-menu li.menu-item-has-children').mouseenter( function() {
            if ( $(this).children('ul.sub-menu').offset().left + 230 > $(window).width() ) {
                $(this).children('ul.sub-menu').css( { right: '100%', left: 'auto' } );
            }
        });
        $('.main-navigation').find('li ul.children li.page_item_has_children').mouseenter( function() {
            if ( $(this).children('ul.children').offset().left + 230 > $(window).width() ) {
                $(this).children('ul.children').css( { right: '100%', left: 'auto' } );
            }
        });
        
    });
    
    // Toggle top bar
    $('.toggle-bar .fa').click(function() {
        $('.top-bar-inner').slideToggle('fast');
        $(this).toggleClass('fa-chevron-down').toggleClass('fa-chevron-up');
    });
    
    // Back To Top
    $(window).scroll(function() {
        if ( $(this).scrollTop() > 300 ) {
            $('.go-top').addClass('show');
        } else {
            $('.go-top').removeClass('show');
        }
    });
    $('.go-top').on('click', function() {
        $("html, body").animate({ scrollTop: 0 }, 1000);
        return false;
    });
    
    // Sticky Footer
    $(document).ready(function() {
        var wp = $('#wpadminbar').height();
        var sh = $('.site-header').outerHeight();
        var sf = $('.site-footer').outerHeight();
        var wh = $(window).outerHeight();
        var ch = wh - (sh + sf + wp);
        $('#content').css('min-height', ch);
    });

});