<?php
/**
 * Template part for header default
 *
 * @package Colorskin
 */

?>
<div class="container">
    
    <div class="site-branding cf">
        
        <?php
            if( ( get_theme_mod( 'colorskin_header_logo_text', 'text' ) == 'logo' ) ) :
                
                if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
                    the_custom_logo();
                endif;
            
            else : ?>
                
                <div class="header-text-title">
                    <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                    <?php
                        $description = get_bloginfo( 'description', 'display' );
                        if ( $description || is_customize_preview() ) : ?>
                        <p class="site-description"><?php echo $description; /* WPCS: xss ok. */ ?></p><!-- #site-description -->
                    <?php endif; ?>
                </div>
                
        <?php endif; ?>
        
    </div><!-- .site-branding -->
    
    <nav id="site-navigation" class="main-navigation" role="navigation">
        <h3 id="mobile-menu-button" class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><i class="fa fa-bars"></i></h3>
        <?php
            if ( has_nav_menu( 'primary' ) ) {
                wp_nav_menu( array(
                    'theme_location' => 'primary',
                    'menu_id'        => 'primary-menu',
                ) );
            } else {
                wp_page_menu();
            }
        ?>
    </nav><!-- #site-navigation -->
    
</div>
<div class="mobile-nav"></div>